<script>
	import { Modal } from 'flowbite-svelte';
	let defaultModal = false;
  </script>

<button class="modal-button" on:click={() => (defaultModal = true)}>digital&nbsp;technologies</button>

<Modal class="bg-gray-700" bind:open={defaultModal} autoclose>
	<p class="text-white text-xs ml-3">CEU Learning Engagement and Proficiency System (CEU LEAPS)</p>

	<iframe class="frame" src="https://www.youtube.com/embed/hPm0bK7mqR0?si=JZ3E-dUwXF7YtBP4" title="CEU Learning Engagement and Proficiency System (CEU LEAPS)" 
	frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen>
	</iframe>
	

  <!-- <svelte:fragment slot="footer">
    <Button on:click={() => alert('Handle "success"')}>I accept</Button>
    <Button color="alternative">Decline</Button>
  </svelte:fragment> -->
</Modal>

<style>

	.modal-button{
		background-color: transparent;
		text-decoration: underline;
	}

	@media screen and (min-width: 200px) {
		.frame{
			width: 300px;
			height: 200px;
			margin-left: 10px;
		}
	}

	@media screen and (min-width: 700px) {
		.frame{
			width: 600px;
			height: 315px;
			margin-left: 10px;
			margin-bottom: 20px;
		}

	}
</style>